Bug 493699 - Traceback while installing with lvm/luks
Traceback while installing with lvm/luks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: device-mapper-obsolete (Show other bugs)
11
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
anaconda_trace_hash:abc3230e576ffe7f5...
:
: 493722 497476 505341 505705 525806 539413 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 13:46 EDT by Zack Cerza
Modified: 2010-10-10 19:07 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 10:36:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (144.98 KB, text/plain)
2009-04-02 13:46 EDT, Zack Cerza
no flags Details

  None (edit)
Description Zack Cerza 2009-04-02 13:46:28 EDT
The following was filed automatically by anaconda:
anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicelibs/lvm.py", line 411, in lvactivate
    raise LVMError("lvactivate failed for %s" % lv_name)
  File "/usr/lib/anaconda/storage/devices.py", line 1926, in setup
    lvm.lvactivate(self.vg.name, self._name)
  File "/usr/lib/anaconda/storage/deviceaction.py", line 325, in execute
    self._device.setup()
  File "/usr/lib/anaconda/storage/devicetree.py", line 659, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 210, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 115, in turnOnFilesystems
    anaconda.id.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
LVMError: lvactivate failed for lv_fedora2
Comment 1 Zack Cerza 2009-04-02 13:46:33 EDT
Created attachment 337860 [details]
Attached traceback automatically from anaconda.
Comment 2 Chris Lumens 2009-04-06 11:17:29 EDT
*** Bug 493722 has been marked as a duplicate of this bug. ***
Comment 3 Chris Lumens 2009-04-24 11:11:55 EDT
*** Bug 497476 has been marked as a duplicate of this bug. ***
Comment 4 Chris Lumens 2009-05-29 10:54:51 EDT
Looking at the program.log, this could very well be a device-mapper problem:

Running... ['lvm', 'vgchange', '-a', 'n', 'rhel_vg']
  0 logical volume(s) in volume group "rhel_vg" now active
  /dev/dm-4: open failed: No such device or address
Running... ['udevadm', 'settle']
Running... ['lvm', 'lvchange', '-a', 'y', 'rhel_vg/lv_fedora2']
  Device /dev/dm-3 not found.
  device-mapper: reload ioctl failed: Invalid argument
Comment 5 Bug Zapper 2009-06-09 09:07:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Chris Lumens 2009-06-10 13:35:46 EDT
*** Bug 503094 has been marked as a duplicate of this bug. ***
Comment 7 Chris Lumens 2009-06-11 11:06:19 EDT
*** Bug 505341 has been marked as a duplicate of this bug. ***
Comment 8 Chris Lumens 2009-06-29 11:11:12 EDT
*** Bug 505705 has been marked as a duplicate of this bug. ***
Comment 9 Chris Lumens 2009-09-25 16:20:02 EDT
*** Bug 525806 has been marked as a duplicate of this bug. ***
Comment 10 Chris Lumens 2009-11-20 09:54:48 EST
*** Bug 539413 has been marked as a duplicate of this bug. ***
Comment 11 Bug Zapper 2010-04-27 09:27:38 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Alasdair Kergon 2010-04-27 10:36:53 EDT
Assuming this is no longer relevant.  If it is, please provide up-to-date traces from rawhide.
Comment 13 Nerijus Baliūnas 2010-10-10 19:07:45 EDT
Provided in bug 503094.

Note You need to log in before you can comment on or make changes to this bug.